﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xmlns:dyn="http://schemas.altairis.cz/Nemesis/Gallery/XsltArguments#Dynamic" xmlns:qs="http://schemas.altairis.cz/XML4web/Arguments#QueryString" xmlns:ff="http://schemas.altairis.cz/XML4web/Arguments#FormFields">
    <xsl:output method="xml" omit-xml-declaration="yes" indent="no" media-type="text/html" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="utf-8" />
    <xsl:decimal-format decimal-separator="," grouping-separator=" " />

    <xsl:param name="Title">Nemesis Gallery</xsl:param>
    <xsl:param name="CopyrightText">(c) Altairis, 2008</xsl:param>
    <xsl:param name="CopyrightLink">http://www.altairis.cz/</xsl:param>
    <xsl:param name="StyleSheet">/_Static/Default/silver.css</xsl:param>
    <xsl:param name="dyn:CurrentTime" />

    <xsl:template name="Header">
        <xsl:param name="PageTitle" select="'Untitled'" />
        <head>
            <title>
                <xsl:choose>
                    <xsl:when test="/directoryListing/@isRoot='True'">
                        <xsl:value-of select="$Title"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="concat($PageTitle, ' | ', $Title)"/>
                    </xsl:otherwise>
                </xsl:choose>
            </title>
            <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
            <meta name="Generator" content="Nemesis Gallery - www.nemesis.cz" />
            <meta name="DateGenerated" content="{$dyn:CurrentTime}"/>
            <link rel="stylesheet" type="text/css" href="{$StyleSheet}" />
        </head>
    </xsl:template>

    <xsl:template name="Footer">
        <div class="footer">
            <a href="http://www.nemesis.cz/">Generated by Nemesis Gallery</a>
            <xsl:if test="$CopyrightText != ''">
                <xsl:text> | </xsl:text>
                <xsl:choose>
                    <xsl:when test="$CopyrightLink != ''">
                        <a href="{$CopyrightLink}">
                            <xsl:value-of select="$CopyrightText"/>
                        </a>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="$CopyrightText"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:if>
        </div>
    </xsl:template>

</xsl:stylesheet>